# no-secret-info

不在代码中直接通过纯文本值设置 `password` `token` 和 `secret` 信息。

## 规则内容

在包含 `password` `token` and `secret` 名称的 key 中禁止使用纯文本值。

**错误**代码示例:

```js
var accessKeySecret = 'xxxx';

var client = {
  accessKeyToken: 'xxxx',
};
```

**正确**代码示例:

```js
var accessKeySecret = process.env.ACCESS_KEY_SECRET;

var client = {
  accessKeyToken: process.env.ACCESS_KEY_SECRET,
};
```

## 规则选项

默认会检查名称包含 `password`，`token`，`secret` 字段 key 的值，支持自定义设置字段名称：

```json
"ones/no-secret-info": [<enabled>, {
  'dangerousKeys': [<string>],
  // 是否 merge 默认配置，默认为 true
  'autoMerge': <boolean>
}]
```
